@import url('https://fonts.googleapis.com/css2?family=Hanken+Grotesk:ital,wght@0,100..900;1,100..900&family=Righteous&family=Vollkorn:ital,wght@0,400..900;1,400..900&display=swap');

:root {
    --bs-font-hanken-grotesk: "Hanken Grotesk", sans-serif;
    --bs-font-vollkorn: "Vollkorn", serif;
    --bs-font-righteous: "Righteous", sans-serif;
    --bs-darkblue: #00008B;
    --bs-darkblue-bg: 0, 0, 139;
}

* {
    font-family: var(--bs-font-hanken-grotesk);
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: var(--bs-font-vollkorn);
}

.text-righteous {
    font-family: var(--bs-font-righteous);
}

.text-vollkorn {
    font-family: var(--bs-font-vollkorn);
}

.text-hanken {
    font-family: var(--bs-font-hanken-grotesk);
}

.bg-darkblue {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-darkblue-bg), var(--bs-bg-opacity));
}

.preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10000 !important;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

.loading-container,
.loading {
    height: 100px;
    position: relative;
    width: 100px;
    border-radius: 100%;
}

.loading-container {
    margin: 40px auto;
}

.loading {
    border: 1px solid transparent;
    border-color: transparent #00c1ff transparent #00c1ff;
    animation: rotate-loading 1.5s linear 0s infinite normal;
    transform-origin: 50% 50%;
}

.loading-container:hover .loading,
.loading-container .loading {
    transition: all 0.5s ease-in-out;
}

#loading-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 66px;
    transform: translate(-50%, -50%);
}

#loading-icon img {
    max-width: 50px;
}

@keyframes rotate-loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.smm-service-order,
.smm-service-service {
    height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

div[aria-labelledby="smm-service-order"],
div[aria-labelledby="smm-service-service"],
div[aria-labelledby="smm-service-search"],
#smm-services-ser-page {
    max-height: 500px;
    overflow: auto;
}

div[aria-labelledby="smm-service-order"] button,
div[aria-labelledby="smm-service-service"] button,
div[aria-labelledby="smm-service-search"] button {
    display: flex;
    justify-content: flex-start;
    gap: 14px;
    align-items: center;
}

.smm-bold {
    color: var(--bs-success);
}

#smm-service-filter-btn {
    margin-right: 25px;
    display: flex;
    justify-content: space-between;
    border-radius: 5px;
    align-items: center;
    max-width: 200px;
    gap: 10px;
}

#smm-service-filter {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: inline;
    font-weight: bold;
}

#smm-add-funds-bonus {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

#smm-add-funds-bonus>div {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.list-group.flex-list-group .list-group-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.list-group.flex-list-group .span-for-list-group-item {
    overflow-wrap: break-word;
    width: 100%;
}

.list-group.flex-list-group .list-group-item.pos-rel {
    position: relative;
}

.list-group.flex-list-group .pos-abs {
    position: absolute;
    right: 20px;
    top: 10px;
}

.hide-show-balance,
.home-recent-transactions {
    display: none;
}

.form-check-input-styled:checked {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.form-check-input-styled:checked[type=checkbox] {
    --bs-form-check-bg-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23000000' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
}

label[for="profile-pic"] {
    position: absolute;
    left: 5px;
    bottom: -40px;
    background-color: var(--bs-body-bg);
    padding: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    cursor: pointer;
}

.profile-list .list-group-item {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 10px;
}

.profile-list .list-group-item .avatar-xs {
    display: flex;
    justify-content: center;
    align-items: center;
}

.password-change {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
}

input:has(+.password-change) {
    padding-right: 40px !important;
}

.badge.bg-success {
    color: #000000;
}

.vir-numbers-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

.vir-numbers-flex>span iconify-icon {
    display: inline-block;
    margin-right: 20px;
    margin-bottom: 2.5px;
}

.vir-numbers-overflow {
    height: 500px;
    overflow: auto;
}

.vir-numbers-overflow.sht-row {
    height: 432px;
}

.vir-numbers-flex>span {
    display: flex;
    flex-wrap: nowrap;
    align-items: flex-start;
}

.vir-numbers-flex>span:first-child span {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.vir-numbers-flex>span:last-child span.badge {
    margin-left: 5px;
}

#saveBene:checked {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.iuc-proceed {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.meter-proceed {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.betting-proceed {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.usd-add-fund-btn>div[role="button"] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.25rem !important;
    border-bottom: 1px solid var(--bs-secondary-color);
    padding-bottom: 10px;
}

.usd-add-fund-btn>div[role="button"]:last-child {
    margin-bottom: 0 !important;
    border-bottom: none;
    padding-bottom: 0;
}

.w-fit-content {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}

.avatar-qrc {
    width: 100%;
    height: 100%;
    max-width: 200px;
    max-height: 200px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.w-min-content {
    width: 100%;
    max-width: 250px;
    margin-left: auto;
    margin-right: auto;
    overflow-wrap: break-word;
    word-wrap: break-word;
}

.active>.page-link,
.page-link.active {
    z-index: 3;
    --bs-pagination-active-color: #000000;
    --bs-pagination-active-bg: var(--bs-success);
    --bs-pagination-active-border-color: var(--bs-success);
    color: var(--bs-pagination-active-color);
    background-color: var(--bs-pagination-active-bg);
    border-color: var(--bs-pagination-active-border-color);
}

.gridjs-wrapper {
    border: none !important;
}

.gridjs-th,
.gridjs-td {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-bottom: 1px solid inherit !important;
}